Does anyone know a way I can toggle on Automatic Smoothing when using the function AddNewThickSurface to thicken a surface in a CATScript in V5? The option in the dialog box is shown in the image.
Thanks,
Jeff
Tim,
Good eye! I went back and looked at the material data I had entered for MATS1 and there was some typos in the first couple of points.
I corrected the data and re-ran the simulation, (and I learned how to overlay my results on the same graph) and now everything looks good!
Thanks to...
Tim,
I'm definitely getting somewhere now. Thanks to your suggestions, I split the load into subcases and made sure I was getting output throughout.
Here are my comparison plots:
I still see some discrepancy in the initial slope (and the result near the end of the simulation). Here are...
SW,
You are correct that I should be plotting axial stress and strain, I grabbed the default von-mises without thinking. However, this is a uniaxial tensile specimen, so the graphs look pretty much the same when plotted with axial stress/strains. I still only see a "multi-linear" curve...
Hi,
I have tried to simulate a tensile test of a dogbone specimen using SOL 106 in order to check my grasp of nonlinear simulation which I am still learning. Based on my results, I seem to be falling short in my understanding. The model consists of CQUAD4 shell elements, with one end of the...
rb1957,
If I am understanding your question correctly, the nodes are all different distances apart. My expectation is that some gap elements will close before others. Here is a view from the side with the forest of gap elements that I am trying to figure out:
Thanks,
Jeff
Blas,
Unfortunately (as far as I know), SimCenter 3D doesn't have an option similar to FEMAP 'closest link'. See image from the 1D connections menu.
I'm very new to this, so it's possible that I missing something.
Jeff
I am trying to simulate contact using SOL 106 using GAP elements in SimCenter 3D. I want my GAP elements to connect 'matched' nodes which I have created on my mesh by projecting a point set along a vector onto each of the 2 meshes which I want to be in contact. I am using the 1D connection...
Thanks cowski,
I was looking at that after I posted the question. I learned that MassPropMass and MassPropRollupMass are attributes that can be toggled on to be 'automatically' created in the customer defaults and we only had the first one toggled on. That should work.
Jeff
I am using NX 2027 and by recording a journal to execute the "update mass properties" function, I have the resulting code:
'Update mass values
Dim componenttags1(0) As NXOpen.NXObject
componenttags1(0) = workPart.ComponentAssembly
Dim massCalculationBuilder1 As...
I'm not sure if this will help, but I noticed it is different from the BOM code I am using.
Instead of
Dim assemblyConvertor1 As AssemblyConvertor
Try
Dim assemblyConvertor1 As CATBaseDispatch
Jeff
Hi,
This is indirectly related to this thread, in that it is part of the same CATScript.
The following code moves the Point2D objects by DeltaX(i) & DeltaY(i) if the object is found in a specified area on the background view of a drawing sheet:
If TypeName(TheGeom)="Point2D" then...
TudorM,
I didn't realize I could get startpoint (& endpoint) from a Line2D using this method, since I didn't see it in the 'CAA V5 Visual Basic Reference' under the Line2D object. Thank you very much for pointing that out. I tried it and it works!
The point coordinates are now being reported...
TudorM,
TheGeom is a Line2D object, and .startpoint is not a property of Line2D (it belongs to Curve2D).
Is there a way to cast the Line2D to Curve2D in order to try to extract .startpoint?
Thanks,
Jeff
I have a CATscript which is looping through lines on a drawing (the lines belong to some titleblock geometry) and extracting the start point (origin) of the lines.
For some reason, the results are not correct. For example, I have a line which I can manually check (double click on the line) and...
I have a VB.NET journal which is gathering all the entities on a layer and putting them into a list of NXObject.
I want to loop through the list and remove the objects that are not not visible on the active drawing sheet. There are other drawing sheets in the part file and I don't want to...
Great idea! That works beautifully!
Dim theSpline As Spline = CType(obj, Spline)
' Check if bounding box is within the specified region
Dim bbox(5) As Double
theUFSession.Modl.AskBoundingBox(theSpline.Tag, bbox)
If (bbox(0) >= X1(i) AndAlso bbox(3)<= X2(i) AndAlso bbox(1) >= Y1(i) AndAlso...